Bug 151249 - CAN-2005-0736 epoll overflow
Summary: CAN-2005-0736 epoll overflow
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
low
Target Milestone: ---
: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL: http://lists.grok.org.uk/pipermail/fu...
Whiteboard: impact=low,source=vendorsec,reported=...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-16 12:41 UTC by Mark J. Cox
Modified: 2015-01-04 22:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 18:52:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:366 high SHIPPED_LIVE Important: kernel security update 2005-04-19 04:00:00 UTC

Description Mark J. Cox 2005-03-16 12:41:41 UTC
Reported to vendor-sec from the kernel security list, originally from Georgi
Guninski.  

"It is possible to partially overwrite low kernel memory due to integer overflow
in sys_epoll_wait and misuse of __put_user in ep_send_events"

Note that this area usually doesn't actually contain anything (the first 4kB are
left alone for dosemu etc to read the original 16-bit interrupt descriptors, and
the rest is just about the last thing we ever allocate, so it's usually unused)

Fixed upstream, see
http://linux.bkbits.net:8080/linux-2.6/cset@422dd06a1p5PsyFhoGAJseinjEq3ew

Comment 2 Josh Bressers 2005-04-19 18:52:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-366.html



Note You need to log in before you can comment on or make changes to this bug.